Skip to main content
GET
The tasks of every project the caller can see, with the project's number, name and cost

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
project_id
string
project_number
string
project_code
string
project_name
string
task_number
string
name
string
starts_on
string
ends_on
string
assignee_user_id
string
assignee
string
is_billable
string
project_is_billable
string
cost_center_id
string
cost_center
string
is_active
string
is_open
string
row_version
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

assignee
string<character varying>
Maximum string length: 200
assignee_user_id
string<uuid>

Note: This is a Foreign Key to capex_invite_candidates.id.

cost_center
string<character varying>
Maximum string length: 200
cost_center_id
string<uuid>

Note: This is a Foreign Key to cost_centre_settings.id.

ends_on
string<date>
id
string<uuid>

Note: This is a Primary Key.

is_active
boolean<boolean>
is_billable
boolean<boolean>
is_open
boolean<boolean>
name
string<character varying>
Maximum string length: 200
project_code
string<character varying>
Maximum string length: 50
project_id
string<uuid>

Note: This is a Foreign Key to project_settings.id.

project_is_billable
boolean<boolean>
project_name
string<character varying>
Maximum string length: 200
project_number
string<character varying>
Maximum string length: 60
row_version
integer<bigint>
starts_on
string<date>
task_number
string<character varying>
Maximum string length: 50